﻿using Hotline.Share.Attributes;
using System.ComponentModel;

namespace Hotline.Share.Enums.Article;
public enum EFileType
{
    /// <summary>
    /// Excel文件
    /// </summary>
    [Description("Excel文件")]
    [FileExtension(".xlsx")]
    [ContentType("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet")]
    excel,

    /// <summary>
    /// Word文件
    /// </summary>
    [Description("Word文件")]
    [FileExtension(".docx")]
    [ContentType("application/vnd.openxmlformats-officedocument.wordprocessingml.document")]
    word,


    /// <summary>
    /// PDF文件
    /// </summary>
    [Description("PDF文件")]
    [FileExtension(".pdf")]
    [ContentType("application/pdf")]
    pdf,
}
